> For the complete documentation index, see [llms.txt](https://docs.vames-store.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vames-store.com/assets/vms_tuning/developer-api/server-exports.md).

# Server Exports

### getCompanyMoney

With this export, you can see how much money is in the workshop safe

{% code overflow="wrap" %}

```lua
---@param {tuningId: string}: tuningId is the key of the tuning table
---@return number
local amount = exports["vms_tuning"]:getCompanyMoney(tuningId)
```

{% endcode %}

***

### addCompanyMoney

With this export you can add money to the workshop safe

```lua
---@param {tuningId: string}: tuningId is the key of the tuning table
---@param {amount: number}: the amount to be added to the workshop safe
exports["vms_tuning"]:addCompanyMoney(tuningId, amount)
```

***

### removeCompanyMoney

With this export you can remove money from the workshop safe

```lua
---@param {tuningId: string}: tuningId is the key of the tuning table
---@param {amount: number}: the amount to be removed from the workshop safe
exports["vms_tuning"]:removeCompanyMoney(tuningId, amount)
```

***

### CreateDiscountCode

With this export, you can generate a discount code

```lua
---@param {codeName: string}: Discount code name
---@param {mechanicPoint: string}: name of the specific workshop that is to have this code or 'all' in case every workshop is to have it
---@param {percentage: number}: the percentage by which it should reduce the amount
---@param {countToUse: number}: number of uses
exports['vms_tuning']:CreateDiscountCode(codeName, mechanicPoint, percentage, countToUse)
```

***

### applyCustomMods

With this export you can load custom mods for a vehicle.\
Recommended use when creating a vehicle (e.g. in garages) if you don't hear Engine Swap when you remove the vehicle from the garage.

```lua
exports['vms_tuning']:applyCustomMods(entity)
```

***

### isHaveLocator

Get information on whether the vehicle has a gps locator installed.

```lua
---@param {plate: string}: Enter the name of the vehicle license plate
---@return boolean
local isHave = exports['vms_tuning']:isHaveLocator(plate)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vames-store.com/assets/vms_tuning/developer-api/server-exports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
